Place in CVwEnergy Constructor for testing 

	//-- Example text 
	CGLText * pT;
	char buffer[32];
	for( int iT=0; iT<10; ++iT ) { 		
		sprintf( buffer, "Text %d", iT );
		pT = new CGLText();
		pT->SetBase( 0.0, 0.0, 0.0,   10.0*iT, 20.0*iT, 0.0,   10.0+2.0*iT, 20.0-2.0*iT, 20.0 );
		pT->Set( RGB(25.0+25.0*iT,192.0-16.0*iT,64.0+12.0*iT), buffer );
		m_oModel.AddObject( pT );
		}			

	//TODO - this is REQUIRED - it affects the rotation or mapping somehow.  Fix ? 
	glColor3f( GLfloat(0.0), GLfloat(0.0), GLfloat(0.0) );
	glListBase( GL_TEXTBASE-GL_TEXTMIN);
	glPushMatrix();
	glScalef( 6.0, 6.0, 1.0);
	glTranslatef( 0.0, 0.0, 0.0 );
	glCallLists( 1, GL_UNSIGNED_BYTE, "A" );
	glPopMatrix();

	//-- Example Blocks 
	CGLBlock * pB;
	pB  = new CGLBlock();
	pB->SetBase( 30.0, 30.0, -14.0, 0.0, -45.0, -45.0, 40.0, 40.0, 40.0 );
	pB->SetColors( RGB(255,0,0), RGB(255,64,64), 
					RGB(192,0,0), RGB(192,64,64), 
					RGB(128,0,0), RGB(128,64,64) );
	m_oModel.AddObject( pB );
	pB = new CGLBlock();
	pB->SetBase( 10.0, 10.0, 0.0, 0.0, 0.0, 0.0, 20.0, 40.0, 60.0 );
	pB->SetColors( RGB(0,255,0), RGB(64,255,64), 
					RGB(0,192,0), RGB(64,192,64), 
					RGB(0,128,0), RGB(64,128,64) );
	m_oModel.AddObject( pB );

	//-- example Polycylinders
	CGLPolyCyl * pC;
	for( int i=0; i<4; ++i ) 
		for( int j=0; j<4; ++j ) {
			pC = new CGLPolyCyl();
			pC->Set( i*4+j+2, RGB(255,255,0), RGB(255,255,0), RGB(128,128,64)  );
			pC->SetBase( 40.0*i,40.0*j,0.0, 0.0, 90.0, 0.0, 15.0, 20.0, 20.0 );
			m_oModel.AddObject( pC );
			}

	//-- example ribbons
	for( int i=0; i<10; ++i ) {
		CGLRibbon * pR = new CGLRibbon();
		pR->Set( 6, true,   -6.0*i,-4.0*i,10.0*i, 
								6.0*i, 
							60.0-5.0*i,10.0,0.0, 
					RGB(0,0,i*25), RGB(255-i*25,1280,0), RGB(0,255,0) );
		m_oModel.AddObject( pR );
		}


Place in GLDraw()
		    //-- a circle 
		    glColor3f( 0.0, 0.0, 0.0 ) ;
		    glBegin( GL_LINES );
		    for( double d=0; d<6.28; d+=0.05 )
				glVertex3f( 25.0 * sin(d), 25.0 * cos(d), 0.0 );
			glEnd();

