/*
	CVwTaskAmpHistogram - Task class + info for Amp Histogram
	TaskAmpHistogram( CVwTask * ) - Method to perform Idealization
*/

//-----------------------------------------------------------------------------
const static int BUF_AMPHIST_SIZE=13;
class COptionsAmpHistogram { 
	public :
		COptionsAmpHistogram();
		
		int m_iChannel;				// Channel to idealize 
		int m_iChannels;			// number of channels in data file
		int m_iDataMode;			// Data to plot (0:File) (1:List) (2:Selection)
		int m_iBins;				// Number of bins in histogram
		void ToBuffer( BYTE * buf );
		void FromBuffer( BYTE * buf );
		bool RegistryLoad( );
		bool RegistrySave( ); 
	};

//-----------------------------------------------------------------------------
// dialog for task progress
class CVwTaskAmpHistogram : public CVwTask { 
	public : 
		COptionsAmpHistogram * m_pOptionsAmpHistogram;
		HWND m_hDlgVwData;			// handle to data window ( not really used for this )
		CSelectionSet m_oSelSet;
	};

//-----------------------------------------------------------------
DWORD WINAPI TaskAmpHistogram( LPVOID pParam );
