/*
class CQUBIOSettings 
	contains the default settings provided to new sessions.
	Modified using VwQUBIOSettings
	There is only one instantiation of this, stored in QUBIO.CFG.

*/


class CQUBIOSettings { 
	public : 
		int m_iVersion;
		CString m_cConfigName;
		CString m_cAcqFileName;
		int m_iBufferSize;
		int m_iIORate;
		CString m_cDataNotes;
		bool m_bScrollView;
		bool m_bTimeSep;
		
		bool m_bGainTable;		
		CString m_cGainTable;	
		int m_iGainTableSource;	
		int m_iGainTableApply;	
		
		bool m_bDefaultFeedback;		
		CString m_cFeedbackName;	
		int m_iFeedbackSource;	
		int m_iFeedbackApply;	

		bool m_bRecordDigout;

		CString m_cSessionPath;
		CString m_cProtoPath;
		CString m_cDigiProtoPath;
		CString m_cDataPath;

		bool m_bAutoNewData;
		CStringArray m_aQuickSessions;
		
		CQUBIOSettings();
		bool LoadFromFile( FILE * h );	
		bool SaveToFile( FILE * h );
		int SaveSize();

		void addSession(const char *sessName);
		
	};
	
