{

  Pascal translation of CVODE.h

     (C) 2003 Lorin Milescu

}


unit cvodeinc;


interface


uses


SysUtils, Classes;


const

CV_LMM_ADAMS            = 0;
CV_LMM_BDF              = 1;

CV_ITER_FUNCTIONAL      = 0;
CV_ITER_NEWTON          = 1;

CV_ITOL_SS              = 0;
CV_ITOL_SV              = 1;

CV_ITASK_NORMAL         = 0;
CV_ITASK_ONE_STEP       = 1;


type


TCV_NVector = record
  Length    :Integer;
  Data      :Pointer;
end;
TCV_PNVector = ^TCV_NVector;


TCV_RhsFn = procedure (N :Integer; t :Double; y, ydot :TCV_PNVector; f_data :Pointer); stdcall;


function CVodeMalloc(N :Integer; f :TCV_RhsFn; t0 :Double; y0 :TCV_PNVector;
                     lmm, iter, itol :Integer;
                     reltol :PDouble; abstol :Pointer;
                     f_data :Pointer; errfp :Pointer;
                     optIn :Integer; iopt :Pointer; ropt :Pointer;
                     machEnv :Pointer) :Pointer; stdcall; external 'cvodelib.dll';


implementation


end.

