unit UpdateCt;

interface

const


DEF_QUB_UPDATE_EXEC     = 'qubdate.exe';

DEF_QUB_UPDATE_VER_FILE = 'qubdate.ver';

DEF_QUB_FTP_HOST        = {'kinetic.med.buffalo.edu';//}'www.qub.buffalo.edu';
DEF_QUB_FTP_USER        = 'anonymous';


procedure RemoteFileDate(const dat :String; var Year, Month, Day :Word);
function Newer(Year, Month, Day, OYear, OMonth, ODay :Word) :Boolean;


implementation


uses

SysUtils;

procedure RemoteFileDate(const dat :String; var Year, Month, Day :Word);
var
  m, d :Word;
  t    :String;
begin
  //Month
  t := Trim(Lowercase(Copy(dat, 1, 3)));
  if          t = 'jan' then begin
    Month := 1;
  end else if t = 'feb' then begin
    Month := 2;
  end else if t = 'mar' then begin
    Month := 3;
  end else if t = 'apr' then begin
    Month := 4;
  end else if t = 'may' then begin
    Month := 5;
  end else if t = 'jun' then begin
    Month := 6;
  end else if t = 'jul' then begin
    Month := 7;
  end else if t = 'aug' then begin
    Month := 8;
  end else if t = 'sep' then begin
    Month := 9;
  end else if t = 'oct' then begin
    Month := 10;
  end else if t = 'nov' then begin
    Month := 11;
  end else if t = 'dec' then begin
    Month := 12;
  end else begin
    Month := 13;
  end;

  //Day
  Day := StrToInt(Trim(Copy(dat, 4, 3)));

  //Year
  if Pos(':', dat) = 0 then begin
    Year := StrToInt(Trim(Copy(dat, 7, 4)));
  end else begin
    DecodeDate(Now, Year, m, d);
  end;

end;

function Newer(Year, Month, Day, OYear, OMonth, ODay :Word) :Boolean;
begin
  Result := True;

  if Year < OYear then begin
    Result := False;
  end else if Year = OYear then begin
    if Month < OMonth then begin
      Result := False;
    end else if Month = OMonth then begin
      if Day <= ODay then begin
        Result := False;
      end;
    end;
  end;

end;

//******************************************************************************
end.
