unit dfp_min_iface;

{
/* Copyright 1998-2011 Research Foundation State University of New York */

/* This file is part of QuB.                                            */

/* QuB is free software; you can redistribute it and/or modify          */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, either version 3 of the License, or    */
/* (at your option) any later version.                                  */

/* QuB is distributed in the hope that it will be useful,               */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License,   */
/* named LICENSE.txt, in the QuB program directory.  If not, see        */
/* <http://www.gnu.org/licenses/>.                                      */
}

interface


uses


AllocTypes;


type


TDFP_MIN_Func  = function(call_obj :TObject; Pars :TPADouble; Grad :TPADouble; var LL :Double; var nf, ndf :Integer; CompGrad{yes/no} :Integer) :Integer; stdcall;
TDFP_MIN_Check = function(call_obj :TObject; Iters, nf, ndf :Integer; LL :Double; Pars :TPADouble; Grads :TPADouble) :Integer; stdcall;

// both return 0 for success


function DFP_MIN(call_obj :TObject; NPar :Integer; InitPars :TPADouble; Hessian :TPMDouble;
        Func :TDFP_MIN_Func; Check :TDFP_MIN_Check;
				MaxIter :Integer; ConvLL :Double; ConvGrad :Double; StepMax :Double;
        var ErrOut :Integer) :Double; stdcall; external 'qubopt.dll' name '_dfp_opt_dll@56';

// errOut:  0   success
//          -1  func returned error
//          -2  check returned error
//          -3  exceeded max iter



implementation


//stuff for SolvOpt
//Solvopt
//function solvopt(optimizer :TObject; var stopflag :Boolean; n :Word; Pars :Pointer; fun :Pointer; grad :Pointer; options :Pointer; func :Pointer; gradc :Pointer; progress :Pointer; warning :Pointer) :Double; stdcall; external 'kinopt.dll';

//function WCFun(Opt :TQUB_Thread_Idealize; x :TPADouble) :Double; stdcall; forward;
//procedure WCGrad(Opt :TQUB_Thread_Idealize; x, g :TPADouble); stdcall; forward;
//function WCDFPFunc(call_obj :TObject; Pars :TPADouble; Grad :TPADouble; var LL :Double; var nf, ndf :Integer; CompGrad{yes/no} :Integer) :Integer; stdcall; forward;




//******************************************************************************
end.
