unit QUB_Console;

{
/* Copyright 1998-2011 Research Foundation State University of New York */

/* This file is part of QuB.                                            */

/* QuB is free software; you can redistribute it and/or modify          */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, either version 3 of the License, or    */
/* (at your option) any later version.                                  */

/* QuB is distributed in the hope that it will be useful,               */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License,   */
/* named LICENSE.txt, in the QuB program directory.  If not, see        */
/* <http://www.gnu.org/licenses/>.                                      */
}
// by Lorin
// Chris hasn't figured out the interactions between this and QUB_Rich_Console, except that this file is older.

interface


uses


Chart,

QUB_Rich_Console;


var


Console      :TQUB_Rich_Console = nil;
//GraphConsole :TChart            = nil;


function Console_NewEntry(const Text :PChar; ColorCode :Integer) :Integer; stdcall;
function Console_SetEntry(Entry :Integer; const Text :PChar; ColorCode :Integer) :Integer; stdcall;


implementation


//******************************************************************************
function Console_NewEntry(const Text :PChar; ColorCode :Integer) :Integer; stdcall;
begin
  Result := -1;
  if Console = nil then Exit;
  Result := Console.NewEntry(Text, TQUB_Rich_Console_ColorCode(ColorCode));
end;

function Console_SetEntry(Entry :Integer; const Text :PChar; ColorCode :Integer) :Integer; stdcall;
begin
  Result := 0;
  if Console = nil then Exit;
  Result := Integer(Console.SetEntry(Entry, Text, TQUB_Rich_Console_ColorCode(ColorCode)));
end;


//******************************************************************************
end.
