inherited QUB_QFS_QDF_PropertiesForm: TQUB_QFS_QDF_PropertiesForm
  Left = 622
  Top = 365
  ActiveControl = txtSamplingKHz
  Caption = 'Open data file '
  ClientHeight = 239
  ClientWidth = 469
  OldCreateOrder = True
  OnCreate = FormCreate
  OnHide = FormHide
  PixelsPerInch = 96
  TextHeight = 13
  object lblADCount: TLabel [0]
    Left = 24
    Top = 59
    Width = 95
    Height = 13
    Caption = 'A/D Channel count:'
  end
  object lblSampling: TLabel [1]
    Left = 24
    Top = 123
    Width = 46
    Height = 13
    Caption = 'Sampling:'
  end
  object lblSamplingms: TLabel [2]
    Left = 97
    Top = 147
    Width = 19
    Height = 13
    Caption = '[ms]'
  end
  object lblSamplingkHz: TLabel [3]
    Left = 97
    Top = 123
    Width = 26
    Height = 13
    Caption = '[KHz]'
  end
  object lblADSize: TLabel [4]
    Left = 248
    Top = 59
    Width = 73
    Height = 13
    Caption = 'A/D Data size :'
  end
  object Label1: TLabel [5]
    Left = 24
    Top = 11
    Width = 48
    Height = 13
    Caption = 'File name:'
  end
  object lblFileName: TLabel [6]
    Left = 24
    Top = 31
    Width = 422
    Height = 13
    AutoSize = False
  end
  inherited btnOK: TButton
    Left = 25
    Top = 198
    Width = 70
    TabOrder = 11
  end
  inherited btnCancel: TButton
    Left = 106
    Top = 198
    Width = 70
    TabOrder = 12
  end
  inherited btnHelp: TButton
    Left = 188
    Top = 198
    Width = 70
    TabOrder = 13
  end
  inline txtScaling: TQUB_QFS_QDF_ScalingPanel
    Left = 23
    Top = 96
    Width = 173
    Height = 21
    TabOrder = 2
    inherited Label1: TLabel
      Left = 1
      Top = 3
    end
    inherited Edit: TEdit
      Left = 103
      Top = 0
      Width = 69
      OnDblClick = txtScalingEditDblClick
    end
  end
  object txtChannelCount: TEdit
    Left = 126
    Top = 56
    Width = 55
    Height = 21
    ReadOnly = True
    TabOrder = 0
    Text = '1'
  end
  object udChannelCount: TUpDown
    Left = 181
    Top = 56
    Width = 15
    Height = 21
    Associate = txtChannelCount
    Min = 1
    Max = 16
    Position = 1
    TabOrder = 1
    Wrap = False
    OnClick = udChannelCountClick
  end
  object chkTimeColumn: TCheckBox
    Left = 247
    Top = 122
    Width = 95
    Height = 17
    Hint = 
      'Indicates whether the data file contains time (x) values in the ' +
      'first column (only for text files)'
    Alignment = taLeftJustify
    Caption = 'Time column:'
    TabOrder = 7
    OnClick = chkTimeColumnClick
  end
  object chkSegmented: TCheckBox
    Left = 247
    Top = 146
    Width = 95
    Height = 17
    Hint = 
      'Indicates whether empty lines should be interpreted as segment b' +
      'reaks (only for text files)'
    Alignment = taLeftJustify
    Caption = 'Segmented:'
    Checked = True
    State = cbChecked
    TabOrder = 9
    OnClick = chkSegmentedClick
  end
  object txtSamplingMS: TEdit
    Left = 126
    Top = 144
    Width = 69
    Height = 21
    Hint = 
      'Setting the sampling time (ms) will automatically update the sam' +
      'pling frequency (kHz).'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 4
    Text = '0.05'
    OnExit = txtSamplingMSExit
    OnKeyPress = txtSamplingMSKeyPress
  end
  object txtSamplingKHz: TEdit
    Left = 126
    Top = 120
    Width = 69
    Height = 21
    Hint = 
      'Setting the sampling frequency (kHz) will automatically update t' +
      'he sampling time (ms) .'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 3
    Text = '20'
    OnExit = txtSamplingKHzExit
    OnKeyPress = txtSamplingKHzKeyPress
  end
  object chkADDataSize4: TRadioButton
    Tag = 4
    Left = 329
    Top = 78
    Width = 116
    Height = 17
    Caption = '4 bytes     (32 bits)'
    TabOrder = 6
    OnClick = chkADDataSizeClick
  end
  object chkADDataSize2: TRadioButton
    Tag = 2
    Left = 329
    Top = 58
    Width = 116
    Height = 17
    Caption = '2 bytes     (16 bits)'
    Checked = True
    TabOrder = 5
    TabStop = True
    OnClick = chkADDataSizeClick
  end
  object btnPreScan: TButton
    Left = 270
    Top = 198
    Width = 70
    Height = 25
    Hint = 'Estimate scaling based on scan of beginning of file.'
    Caption = 'Est. Scaling'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 14
    Visible = False
    OnClick = btnPreScanClick
  end
  object chkUnevenSampling: TCheckBox
    Left = 351
    Top = 122
    Width = 95
    Height = 17
    Hint = 
      'Indicates whether the data file contains time (x) values in the ' +
      'first column (only for text files)'
    Alignment = taLeftJustify
    Caption = 'Uneven:'
    TabOrder = 8
    OnClick = chkUnevenSamplingClick
  end
  object chkSinglePrec: TCheckBox
    Left = 247
    Top = 98
    Width = 95
    Height = 17
    Hint = 
      'Indicates whether the data file contains time (x) values in the ' +
      'first column (only for text files)'
    Alignment = taLeftJustify
    Caption = 'Float (single):'
    TabOrder = 10
    OnClick = chkSinglePrecClick
  end
  object chkMultiplexed: TCheckBox
    Left = 351
    Top = 146
    Width = 95
    Height = 17
    Hint = 
      'E.g., [time, I1, I2, ..., V1, V2, ...] or [time, I1, V1, ..., I2' +
      ', V2, ...] (only for text files)'
    Alignment = taLeftJustify
    Caption = 'Multiplexed segs'
    Checked = True
    ParentShowHint = False
    ShowHint = True
    State = cbChecked
    TabOrder = 15
    OnClick = chkMultiplexedClick
  end
  object panMPX: TPanel
    Left = 352
    Top = 174
    Width = 115
    Height = 45
    BevelOuter = bvNone
    TabOrder = 16
    object chkMPXAA: TRadioButton
      Tag = 1
      Left = 0
      Top = 0
      Width = 113
      Height = 17
      Caption = 'A1,A2,..., B1,B2,...'
      TabOrder = 0
      OnClick = chkMPXAAClick
    end
    object chkMPXAB: TRadioButton
      Left = 0
      Top = 22
      Width = 113
      Height = 17
      Caption = 'A1,B1,.., A2,B2,...'
      TabOrder = 1
      OnClick = chkMPXAAClick
    end
  end
  object panPRT: TPanel
    Left = 20
    Top = 52
    Width = 437
    Height = 117
    BevelOuter = bvNone
    TabOrder = 17
    Visible = False
    object Label2: TLabel
      Left = 12
      Top = 4
      Width = 125
      Height = 13
      Caption = 'Sampling interval [ms]'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object Label3: TLabel
      Left = 20
      Top = 29
      Width = 350
      Height = 13
      Caption = 
        'Sampling should be much shorter than any event, to minimize quan' +
        'tization.'
    end
    object Label4: TLabel
      Left = 24
      Top = 92
      Width = 3
      Height = 13
    end
    object Label6: TLabel
      Left = 20
      Top = 96
      Width = 416
      Height = 13
      Caption = 
        'For Acrit, list one or more thresholds separating conductance cl' +
        'asses, comma-separated.'
    end
    object txtPRTSampling: TEdit
      Left = 216
      Top = 4
      Width = 121
      Height = 21
      TabOrder = 0
      Text = 'txtPRTSampling'
      OnExit = txtPRTSamplingExit
      OnKeyPress = txtPRTSamplingKeyPress
    end
    object panAcrit: TPanel
      Left = 0
      Top = 48
      Width = 433
      Height = 73
      Anchors = [akLeft, akTop, akRight, akBottom]
      BevelOuter = bvNone
      TabOrder = 1
      object Label5: TLabel
        Left = 12
        Top = 13
        Width = 92
        Height = 13
        Caption = 'Closed/Open by'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
      end
      object chkPRTNonzero: TRadioButton
        Left = 35
        Top = 32
        Width = 113
        Height = 17
        Caption = 'Zero/Nonzero'
        Checked = True
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 0
        TabStop = True
        OnClick = chkPRTNonzeroClick
      end
      object chkPRTAcrit: TRadioButton
        Left = 151
        Top = 32
        Width = 65
        Height = 17
        Caption = 'Acrit:'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 1
        OnClick = chkPRTAcritClick
      end
      object txtPRTAcrit: TEdit
        Left = 215
        Top = 28
        Width = 121
        Height = 21
        TabOrder = 2
        Text = 'txtPRTAcrit'
        OnExit = txtPRTAcritExit
        OnKeyPress = txtPRTAcritKeyPress
      end
    end
  end
end
