inherited QUB_Task_Exp_PropertiesForm: TQUB_Task_Exp_PropertiesForm
  Left = 327
  Top = 163
  Caption = 'Exponential fitting'
  ClientHeight = 513
  ClientWidth = 689
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  inherited btnOK: TButton
    Left = 20
    Top = 476
    Caption = '&Run'
  end
  inherited btnCancel: TButton
    Left = 125
    Top = 476
    Caption = '&Close'
  end
  inherited btnHelp: TButton
    Left = 229
    Top = 476
  end
  inherited panXChannelIndex: TPanel
    Top = 16
    TabOrder = 12
  end
  inherited panThreads: TPanel
    TabOrder = 11
  end
  inherited panXDataProcessed: TPanel
    Top = 160
    TabOrder = 13
  end
  object btnReset: TButton
    Left = 332
    Top = 476
    Width = 81
    Height = 25
    Caption = 'C&lear'
    ModalResult = 7
    TabOrder = 3
    Visible = False
    OnClick = btnOKClick
  end
  object Panel2: TPanel
    Left = 20
    Top = 311
    Width = 184
    Height = 150
    BevelOuter = bvLowered
    TabOrder = 4
    object Label11: TLabel
      Left = 4
      Top = 6
      Width = 60
      Height = 13
      Caption = 'Optimization:'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
    end
    object Label7: TLabel
      Left = 16
      Top = 30
      Width = 42
      Height = 13
      Caption = 'LL conv:'
    end
    object Label9: TLabel
      Left = 16
      Top = 52
      Width = 53
      Height = 13
      Caption = 'Grad conv:'
    end
    object Label10: TLabel
      Left = 16
      Top = 74
      Width = 40
      Height = 13
      Caption = 'Max iter:'
    end
    object Label19: TLabel
      Left = 16
      Top = 96
      Width = 46
      Height = 13
      Caption = 'Max step:'
    end
    object txtOptSSConv: TEdit
      Left = 102
      Top = 26
      Width = 69
      Height = 21
      Hint = 
        'Float Range 1e-10 to 1e10.  Log Likelihood convergence criterion' +
        '.'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
      Text = '1e-2'
    end
    object txtOptGradConv: TEdit
      Left = 102
      Top = 48
      Width = 69
      Height = 21
      Hint = 'Float Range 1e-10 to 1e10.  Gradient convergence criterion.'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 1
      Text = '1e-4'
    end
    object txtOptMaxIter: TEdit
      Left = 102
      Top = 70
      Width = 69
      Height = 21
      ParentShowHint = False
      ShowHint = True
      TabOrder = 2
      Text = '100'
    end
    object txtOptMaxStep: TEdit
      Left = 102
      Top = 92
      Width = 69
      Height = 21
      ParentShowHint = False
      ShowHint = True
      TabOrder = 3
      Text = '1'
    end
    object chkOptRestart: TCheckBox
      Left = 14
      Top = 116
      Width = 101
      Height = 17
      Alignment = taLeftJustify
      Caption = 'Restart once:'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 4
    end
  end
  object chkQuietOutput: TCheckBox
    Left = 370
    Top = 20
    Width = 123
    Height = 17
    Caption = 'Quiet output'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clOlive
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
    ParentShowHint = False
    ShowHint = True
    TabOrder = 5
  end
  object Panel6: TPanel
    Left = 492
    Top = 160
    Width = 178
    Height = 138
    BevelOuter = bvLowered
    TabOrder = 6
    object Label13: TLabel
      Left = 4
      Top = 6
      Width = 38
      Height = 13
      Caption = 'Fit data:'
      Color = clBtnFace
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentColor = False
      ParentFont = False
    end
    object chkOptFitDataList: TRadioButton
      Tag = 1
      Left = 16
      Top = 50
      Width = 100
      Height = 17
      Hint = 'Fit only the data that is selected in the List'
      Caption = 'List:'
      Color = clBtnFace
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentColor = False
      ParentFont = False
      ParentShowHint = False
      ShowHint = True
      TabOrder = 4
    end
    object chkOptFitDataWhole: TRadioButton
      Left = 16
      Top = 28
      Width = 100
      Height = 17
      Hint = 'Fit all the data in the segment'
      BiDiMode = bdLeftToRight
      Caption = 'Whole'
      Checked = True
      Color = clBtnFace
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentBiDiMode = False
      ParentColor = False
      ParentFont = False
      ParentShowHint = False
      ShowHint = True
      TabOrder = 3
      TabStop = True
    end
    object chkOptShowFit: TCheckBox
      Left = 16
      Top = 92
      Width = 133
      Height = 17
      Hint = 
        'Display the fitting curve during optimization, overlapped on the' +
        ' high-res data'
      Caption = 'Show fitting curve'
      Color = clBtnFace
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentColor = False
      ParentFont = False
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
    end
    object chkOptSkip: TCheckBox
      Left = 16
      Top = 70
      Width = 69
      Height = 17
      Hint = 'Skip first ms in each chunk'
      Caption = 'Skip [ms]:'
      Color = clBtnFace
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentColor = False
      ParentFont = False
      ParentShowHint = False
      ShowHint = True
      TabOrder = 1
    end
    object txtOptSkipTime: TEdit
      Left = 98
      Top = 68
      Width = 73
      Height = 21
      Hint = 'Skip first ms in each chunk'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
      ParentShowHint = False
      ShowHint = True
      TabOrder = 2
      Text = '5'
    end
    object lstFitData: TComboBox
      Left = 62
      Top = 46
      Width = 111
      Height = 21
      Style = csDropDownList
      Ctl3D = False
      ItemHeight = 13
      ParentCtl3D = False
      ParentShowHint = False
      ShowHint = True
      TabOrder = 5
      OnClick = lstFitDataClick
    end
    object Panel3: TPanel
      Left = 27
      Top = 112
      Width = 108
      Height = 23
      BevelOuter = bvNone
      TabOrder = 6
      object chkOptShowFitAvg: TRadioButton
        Left = 6
        Top = 0
        Width = 45
        Height = 21
        Caption = 'Avg'
        Checked = True
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = []
        ParentFont = False
        ParentShowHint = False
        ShowHint = True
        TabOrder = 0
        TabStop = True
      end
      object chkOptShowFitRes: TRadioButton
        Tag = 2
        Left = 52
        Top = 0
        Width = 45
        Height = 21
        Caption = 'Res'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = []
        ParentFont = False
        ParentShowHint = False
        ShowHint = True
        TabOrder = 1
      end
    end
  end
  object Panel7: TPanel
    Left = 210
    Top = 160
    Width = 275
    Height = 76
    BevelOuter = bvLowered
    TabOrder = 8
    object Label12: TLabel
      Left = 4
      Top = 6
      Width = 52
      Height = 13
      Caption = 'Run mode:'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
    end
    object chkOptModeOpt: TRadioButton
      Left = 16
      Top = 28
      Width = 91
      Height = 17
      Caption = 'Optimize'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
    end
    object chkOptModeCheck: TRadioButton
      Tag = 1
      Left = 16
      Top = 50
      Width = 91
      Height = 17
      Caption = 'Check Model'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
      ParentShowHint = False
      ShowHint = True
      TabOrder = 1
    end
  end
  object Panel8: TPanel
    Left = 492
    Top = 306
    Width = 178
    Height = 197
    BevelOuter = bvLowered
    TabOrder = 10
    object Label15: TLabel
      Left = 4
      Top = 6
      Width = 85
      Height = 13
      Caption = 'Batch (segments):'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
    end
    object Label16: TLabel
      Left = 16
      Top = 96
      Width = 53
      Height = 13
      Caption = 'Max batch:'
    end
    object chkOptSegmentsTogether: TRadioButton
      Left = 16
      Top = 28
      Width = 91
      Height = 17
      Caption = 'Together'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
    end
    object chkOptSegmentsGroup: TRadioButton
      Tag = 1
      Left = 16
      Top = 50
      Width = 81
      Height = 17
      Caption = 'In groups of:'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 1
    end
    object txtOptSegmentsGroupCount: TEdit
      Left = 98
      Top = 48
      Width = 58
      Height = 21
      ParentShowHint = False
      ReadOnly = True
      ShowHint = True
      TabOrder = 2
      Text = '1'
    end
    object udOptSegmentsGroupCount: TUpDown
      Left = 156
      Top = 48
      Width = 15
      Height = 21
      Associate = txtOptSegmentsGroupCount
      Min = 1
      Max = 32767
      ParentShowHint = False
      Position = 1
      ShowHint = True
      TabOrder = 3
      Wrap = False
    end
    object chkOptSegmentsGroupList: TRadioButton
      Tag = 2
      Left = 16
      Top = 72
      Width = 81
      Height = 17
      Caption = 'In groups of:'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 4
    end
    object txtOptSegmentsGroupList: TEdit
      Left = 98
      Top = 70
      Width = 73
      Height = 21
      ParentShowHint = False
      ShowHint = True
      TabOrder = 5
      Text = '1'
    end
    object txtOptSegmentsMaxBatch: TEdit
      Left = 98
      Top = 92
      Width = 35
      Height = 21
      ParentShowHint = False
      ShowHint = True
      TabOrder = 6
      Text = '100'
    end
    object chkOptMUXFiles: TCheckBox
      Left = 16
      Top = 134
      Width = 90
      Height = 17
      Caption = 'MUX files'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 7
    end
    object chkOptIdenticalChunks: TCheckBox
      Left = 16
      Top = 115
      Width = 90
      Height = 17
      Caption = 'Identical segs'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 8
    end
    object chkOptPropagateParams: TCheckBox
      Left = 16
      Top = 152
      Width = 151
      Height = 17
      Caption = 'Propagate params'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 9
    end
  end
  object pageMethod: TPageControl
    Left = 210
    Top = 244
    Width = 274
    Height = 218
    ActivePage = tabLeakCap
    TabOrder = 7
    object tabExp: TTabSheet
      Caption = 'Exp'
      object Label14: TLabel
        Left = 14
        Top = 28
        Width = 18
        Height = 13
        Caption = 'Ieq:'
      end
      object Label4: TLabel
        Left = 14
        Top = 6
        Width = 33
        Height = 13
        Caption = 'States:'
      end
      object txtStateCount: TEdit
        Left = 57
        Top = 2
        Width = 92
        Height = 21
        ParentShowHint = False
        ReadOnly = True
        ShowHint = True
        TabOrder = 0
        Text = '1'
      end
      object txtIeq: TEdit
        Left = 57
        Top = 24
        Width = 107
        Height = 21
        ParentShowHint = False
        ShowHint = True
        TabOrder = 2
        Text = '1'
      end
      object udStateCount: TUpDown
        Left = 149
        Top = 2
        Width = 15
        Height = 21
        Associate = txtStateCount
        Min = 1
        Max = 32767
        ParentShowHint = False
        Position = 1
        ShowHint = True
        TabOrder = 1
        Wrap = False
        OnClick = udStateCountClick
      end
    end
    object tabLeakCap: TTabSheet
      Tag = 1
      Caption = 'Leak+Cap'
      ImageIndex = 1
      object Label3: TLabel
        Left = 14
        Top = 50
        Width = 11
        Height = 13
        Caption = 'N:'
      end
      object Label17: TLabel
        Left = 14
        Top = 6
        Width = 39
        Height = 13
        Caption = 'GL [nS]:'
      end
      object Label18: TLabel
        Left = 14
        Top = 28
        Width = 40
        Height = 13
        Caption = 'VL [mV]:'
      end
      object Label21: TLabel
        Left = 170
        Top = 28
        Width = 47
        Height = 13
        Caption = 'V0 points:'
      end
      object Label22: TLabel
        Left = 170
        Top = 50
        Width = 41
        Height = 13
        Caption = 'Skip pts:'
      end
      object Label23: TLabel
        Left = 170
        Top = 6
        Width = 48
        Height = 13
        Caption = 'V A/D ch:'
      end
      object txtLKCGL: TEdit
        Left = 57
        Top = 2
        Width = 107
        Height = 21
        ParentShowHint = False
        ShowHint = True
        TabOrder = 0
        Text = '1'
      end
      object txtLeakCapN: TEdit
        Left = 57
        Top = 46
        Width = 92
        Height = 21
        ParentShowHint = False
        ReadOnly = True
        ShowHint = True
        TabOrder = 1
        Text = '1'
      end
      object udLKCN: TUpDown
        Left = 149
        Top = 46
        Width = 15
        Height = 21
        Associate = txtLeakCapN
        Min = 1
        Max = 32767
        ParentShowHint = False
        Position = 1
        ShowHint = True
        TabOrder = 2
        Wrap = False
        OnClick = udLKCNClick
      end
      object txtLKCVL: TEdit
        Left = 57
        Top = 24
        Width = 107
        Height = 21
        ParentShowHint = False
        ShowHint = True
        TabOrder = 3
        Text = '1'
      end
      object txtLKCV0Points: TEdit
        Left = 219
        Top = 24
        Width = 40
        Height = 21
        ParentShowHint = False
        ShowHint = True
        TabOrder = 4
        Text = '100'
      end
      object txtLKCSkipPoints: TEdit
        Left = 219
        Top = 46
        Width = 40
        Height = 21
        ParentShowHint = False
        ShowHint = True
        TabOrder = 6
        Text = '10'
      end
      object txtLKCVChannel: TEdit
        Left = 219
        Top = 2
        Width = 40
        Height = 21
        ParentShowHint = False
        ShowHint = True
        TabOrder = 5
        Text = '1'
      end
    end
    object tabSine: TTabSheet
      Tag = 2
      Caption = 'Sine'
      ImageIndex = 1
      object Label20: TLabel
        Left = 4
        Top = 109
        Width = 155
        Height = 13
        Caption = 'x = Amp*sin(2*PI*Freq*t + Phase)'
      end
      object txtSineAmp: TEdit
        Left = 95
        Top = 38
        Width = 69
        Height = 21
        ParentShowHint = False
        ShowHint = True
        TabOrder = 0
        Text = '1'
      end
      object txtSineFreq: TEdit
        Left = 95
        Top = 60
        Width = 69
        Height = 21
        ParentShowHint = False
        ShowHint = True
        TabOrder = 1
        Text = '60'
      end
      object txtSinePhase: TEdit
        Left = 95
        Top = 82
        Width = 69
        Height = 21
        ParentShowHint = False
        ShowHint = True
        TabOrder = 2
        Text = '0'
      end
      object chkFixedAmp: TCheckBox
        Left = 14
        Top = 40
        Width = 69
        Height = 17
        Caption = 'Amp:'
        Color = clBtnFace
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = []
        ParentColor = False
        ParentFont = False
        ParentShowHint = False
        ShowHint = True
        TabOrder = 3
      end
      object chkFixedFreq: TCheckBox
        Left = 14
        Top = 62
        Width = 69
        Height = 17
        Caption = 'Freq [Hz]:'
        Color = clBtnFace
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = []
        ParentColor = False
        ParentFont = False
        ParentShowHint = False
        ShowHint = True
        TabOrder = 4
      end
      object chkFixedPhase: TCheckBox
        Left = 14
        Top = 84
        Width = 69
        Height = 17
        Caption = 'Phase:'
        Color = clBtnFace
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = []
        ParentColor = False
        ParentFont = False
        ParentShowHint = False
        ShowHint = True
        TabOrder = 5
      end
      object chkFixedIeq: TCheckBox
        Left = 14
        Top = 18
        Width = 69
        Height = 17
        Caption = 'Ieq:'
        Color = clBtnFace
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = []
        ParentColor = False
        ParentFont = False
        ParentShowHint = False
        ShowHint = True
        TabOrder = 6
      end
      object txtSineIeq: TEdit
        Left = 95
        Top = 16
        Width = 69
        Height = 21
        ParentShowHint = False
        ShowHint = True
        TabOrder = 7
        Text = '0'
      end
    end
  end
  object chkUpdateParams: TCheckBox
    Left = 230
    Top = 20
    Width = 123
    Height = 17
    Caption = 'Update params'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clBlue
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
    ParentShowHint = False
    ShowHint = True
    TabOrder = 9
  end
  object Button1: TButton
    Left = 412
    Top = 122
    Width = 75
    Height = 25
    Caption = 'Button1'
    TabOrder = 14
  end
end
