inherited QUB_Task_Stimulus_PropertiesForm: TQUB_Task_Stimulus_PropertiesForm
  Left = 387
  Top = 189
  Width = 628
  Height = 509
  BorderStyle = bsSizeable
  Caption = 'Prepare stimulus from an A/D channel'
  OldCreateOrder = True
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object panPreview: TPaintBox [0]
    Left = 12
    Top = 37
    Width = 597
    Height = 114
    Hint = 'Preview of idealized stimulus for the Data selection'
    Anchors = [akLeft, akTop, akRight, akBottom]
    ParentShowHint = False
    ShowHint = True
    OnPaint = panPreviewPaint
  end
  object lblStatus: TLabel [1]
    Left = 304
    Top = 448
    Width = 3
    Height = 13
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clMaroon
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  inherited btnOK: TButton
    Left = 10
    Top = 441
    Anchors = [akLeft, akBottom]
    Caption = '&Run'
  end
  inherited btnCancel: TButton
    Left = 108
    Top = 441
    Anchors = [akLeft, akBottom]
    Caption = '&Close'
  end
  inherited btnHelp: TButton
    Left = 207
    Top = 441
    Anchors = [akLeft, akBottom]
  end
  inherited panXChannelIndex: TPanel
    Left = 209
    TabOrder = 6
    inherited lblXChannelIndex: TLabel
      Width = 81
      Caption = 'Data channel:'
      Font.Style = [fsBold]
      ParentFont = False
    end
  end
  inherited panThreads: TPanel
    Left = 528
    Top = 486
    TabOrder = 5
  end
  object panDataSource: TPanel
    Left = 9
    Top = 156
    Width = 335
    Height = 94
    Anchors = [akLeft, akRight, akBottom]
    BevelOuter = bvLowered
    TabOrder = 3
    object Label3: TLabel
      Left = 4
      Top = 6
      Width = 61
      Height = 13
      Caption = 'Data source:'
    end
    object panDataSourceFile: TPanel
      Left = 11
      Top = 26
      Width = 91
      Height = 67
      BevelOuter = bvNone
      TabOrder = 0
      object chkDataSourceWholeFile: TRadioButton
        Left = 1
        Top = 0
        Width = 85
        Height = 17
        BiDiMode = bdLeftToRight
        Caption = 'Whole file'
        ParentBiDiMode = False
        TabOrder = 0
        OnClick = chkDataSourceClick
      end
      object chkDataSourceSelectionList: TRadioButton
        Tag = 1
        Left = 1
        Top = 22
        Width = 85
        Height = 17
        Caption = 'Selection list'
        TabOrder = 1
        OnClick = chkDataSourceClick
      end
      object chkDataSourceSelection: TRadioButton
        Tag = 2
        Left = 1
        Top = 44
        Width = 85
        Height = 17
        Caption = 'Selection'
        TabOrder = 2
        OnClick = chkDataSourceClick
      end
    end
  end
  object panOptions: TPanel
    Left = 8
    Top = 282
    Width = 335
    Height = 159
    Anchors = [akLeft, akRight, akBottom]
    BevelOuter = bvLowered
    TabOrder = 4
    object Label1: TLabel
      Left = 9
      Top = 51
      Width = 64
      Height = 13
      Caption = 'Known amps:'
    end
    object lblDelta: TLabel
      Left = 26
      Top = 99
      Width = 64
      Height = 13
      Caption = 'separated by:'
    end
    object Label4: TLabel
      Left = 9
      Top = 126
      Width = 83
      Height = 13
      Caption = 'Min duration (ms):'
    end
    object Label8: TLabel
      Left = 8
      Top = 4
      Width = 103
      Height = 13
      Caption = 'Idealized Stimulus'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clRed
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object txtKnown: TEdit
      Left = 100
      Top = 48
      Width = 97
      Height = 21
      TabOrder = 0
    end
    object chkAddDeltas: TCheckBox
      Left = 9
      Top = 75
      Width = 186
      Height = 17
      Caption = 'Add amps as needed:'
      TabOrder = 1
    end
    object txtDelta: TEdit
      Left = 100
      Top = 95
      Width = 97
      Height = 21
      TabOrder = 2
    end
    object txtMinDur: TEdit
      Left = 100
      Top = 121
      Width = 97
      Height = 21
      TabOrder = 3
    end
    object chkClearIdealization: TCheckBox
      Left = 11
      Top = 26
      Width = 169
      Height = 17
      Caption = 'Clear entire idealization first'
      TabOrder = 4
    end
  end
  object panStimChannel: TPanel
    Left = 12
    Top = 10
    Width = 169
    Height = 25
    BevelOuter = bvNone
    TabOrder = 7
    object Label7: TLabel
      Left = 0
      Top = 5
      Width = 101
      Height = 13
      Hint = 
        'Choose an A/D channel with a stimulus (signal that affects the m' +
        'odel)'
      Caption = 'Stimulus channel:'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clBlue
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
      ParentShowHint = False
      ShowHint = True
    end
    object txtStimChannel: TEdit
      Left = 120
      Top = 2
      Width = 31
      Height = 21
      Hint = 
        'Choose an A/D channel with a stimulus (signal that affects the m' +
        'odel)'
      ParentShowHint = False
      ReadOnly = True
      ShowHint = True
      TabOrder = 0
      Text = '0'
    end
    object udStimChannel: TUpDown
      Left = 151
      Top = 2
      Width = 16
      Height = 21
      Hint = 
        'Choose an A/D channel with a stimulus (signal that affects the m' +
        'odel)'
      Associate = txtStimChannel
      Min = 0
      Max = 15
      ParentShowHint = False
      Position = 0
      ShowHint = True
      TabOrder = 1
      Wrap = False
    end
  end
  object chkLiveMac: TCheckBox
    Left = 509
    Top = 15
    Width = 97
    Height = 17
    Hint = 
      'Overlays the predicted macroscopic current, given the idealized ' +
      'stimulus'
    Anchors = [akTop, akRight]
    Caption = 'Live Mac'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clFuchsia
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
    ParentShowHint = False
    ShowHint = True
    TabOrder = 8
  end
  object Panel1: TPanel
    Left = 8
    Top = 254
    Width = 335
    Height = 25
    Anchors = [akLeft, akRight, akBottom]
    BevelOuter = bvLowered
    TabOrder = 9
    object Label2: TLabel
      Left = 7
      Top = 6
      Width = 63
      Height = 13
      Hint = 'typically, perfusion latency'
      Caption = 'Latency (ms):'
      ParentShowHint = False
      ShowHint = True
    end
    object txtLatency: TEdit
      Left = 212
      Top = 1
      Width = 121
      Height = 21
      Hint = 'Shifts the signal to the right by a constant amount'
      Anchors = [akTop, akRight]
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
    end
  end
  object Panel2: TPanel
    Left = 347
    Top = 254
    Width = 260
    Height = 192
    Anchors = [akRight, akBottom]
    BevelOuter = bvLowered
    TabOrder = 10
    object Label9: TLabel
      Left = 32
      Top = 55
      Width = 76
      Height = 13
      Caption = 'Resting tension:'
    end
    object Label10: TLabel
      Left = 32
      Top = 106
      Width = 93
      Height = 13
      Caption = 'Tension / Pressure:'
    end
    object Label11: TLabel
      Left = 32
      Top = 81
      Width = 86
      Height = 13
      Caption = 'Collapsed tension:'
    end
    object Label12: TLabel
      Left = 32
      Top = 130
      Width = 49
      Height = 13
      Caption = 'Tau rising:'
    end
    object Label13: TLabel
      Left = 32
      Top = 155
      Width = 72
      Height = 13
      Caption = 'Tau collapsing:'
    end
    object Label14: TLabel
      Left = 32
      Top = 31
      Width = 73
      Height = 13
      Caption = '"On" threshold:'
    end
    object Label15: TLabel
      Left = 32
      Top = 178
      Width = 75
      Height = 13
      Caption = 'Tau recovering:'
    end
    object chkTension: TCheckBox
      Left = 12
      Top = 6
      Width = 193
      Height = 17
      Hint = 
        'Converts a sequence of pressure pulses into approximate membrane' +
        ' tension'
      Caption = 'Tension pulse model'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
    end
    object txtRestingTension: TEdit
      Left = 137
      Top = 51
      Width = 121
      Height = 21
      Anchors = [akTop, akRight]
      TabOrder = 1
    end
    object txtCollapsedTension: TEdit
      Left = 137
      Top = 76
      Width = 121
      Height = 21
      Anchors = [akTop, akRight]
      TabOrder = 2
    end
    object txtTensionPressure: TEdit
      Left = 137
      Top = 100
      Width = 121
      Height = 21
      Anchors = [akTop, akRight]
      TabOrder = 3
    end
    object txtTauRising: TEdit
      Left = 137
      Top = 125
      Width = 121
      Height = 21
      Anchors = [akTop, akRight]
      TabOrder = 4
    end
    object txtTauCollapsing: TEdit
      Left = 137
      Top = 150
      Width = 121
      Height = 21
      Anchors = [akTop, akRight]
      TabOrder = 5
    end
    object txtOnThreshold: TEdit
      Left = 137
      Top = 26
      Width = 121
      Height = 21
      Anchors = [akTop, akRight]
      TabOrder = 6
    end
    object txtTauRecovering: TEdit
      Left = 137
      Top = 172
      Width = 121
      Height = 21
      Anchors = [akTop, akRight]
      TabOrder = 7
    end
  end
  object Panel3: TPanel
    Left = 347
    Top = 156
    Width = 260
    Height = 94
    Anchors = [akRight, akBottom]
    BevelOuter = bvLowered
    TabOrder = 11
    object Label5: TLabel
      Left = 27
      Top = 63
      Width = 68
      Height = 13
      Caption = 'Damping ratio:'
    end
    object Label6: TLabel
      Left = 26
      Top = 40
      Width = 112
      Height = 13
      Caption = 'Natural Frequency (Hz):'
    end
    object chkSDP: TCheckBox
      Left = 12
      Top = 13
      Width = 177
      Height = 17
      Hint = 'Applies a smooth delay using differential equations'
      Caption = 'Spring-Dashpot Filter'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
    end
    object txtSDPDamping: TEdit
      Left = 151
      Top = 60
      Width = 49
      Height = 21
      TabOrder = 1
      Text = 'txtSDPDamping'
    end
    object txtSDPFreq: TEdit
      Left = 152
      Top = 37
      Width = 49
      Height = 21
      TabOrder = 2
      Text = 'txtSDPFreq'
    end
  end
end
