unit Olerrors;

{

                       Data Translation Error codes


          C header file translated by Lorin Milescu, 05-28-2001


}


interface


const


OLIWBASE                    = 0;

OLNOERROR                   = OLIWBASE;                      // No Error
OLSUCCESS                   = OLIWBASE;                      // No Error
OLBADCAP                    = OLIWBASE + 1;                  // Invalid capability specified
OLBADELEMENT                = OLIWBASE + 2;                  // Invalid element specified
OLBADSUBSYSTEM              = OLIWBASE + 3;                  // Invalid subsystem specified
OLNOTENOUGHDMACHANS         = OLIWBASE + 4;                  // Not Enough DMA Channels
OLBADLISTSIZE               = OLIWBASE + 5;                  // Invalid List Size
OLBADLISTENTRY              = OLIWBASE + 6;                  // Invalid List Entry
OLBADCHANNEL                = OLIWBASE + 7;                  // Invalid Channel
OLBADCHANNELTYPE            = OLIWBASE + 8;                  // Invalid Channel Type
OLBADENCODING               = OLIWBASE + 9;                  // Invalid Encoding
OLBADTRIGGER                = OLIWBASE + 10;                 // Invalid Trigger
OLBADRESOLUTION             = OLIWBASE + 11;                 // Invalid Resolution
OLBADCLOCKSOURCE            = OLIWBASE + 12;                 // Invalid Clock source
OLBADFREQUENCY              = OLIWBASE + 13;                 // Invalid Frequency
OLBADPULSETYPE              = OLIWBASE + 14;                 // Invalid Pulse Type
OLBADPULSEWIDTH             = OLIWBASE + 15;                 // Invalid Pulse Width
OLBADCOUNTERMODE            = OLIWBASE + 16;                 // Invalid Counter Mode
OLBADCASCADEMODE            = OLIWBASE + 17;                 // Invalid Cascade Mode
OLBADDATAFLOW               = OLIWBASE + 18;                 // Invalid Data Flow
OLBADWINDOWHANDLE           = OLIWBASE + 19;                 // Invalid Window Handle
OLSUBSYSINUSE               = OLIWBASE + 20;                 // Subsystem in use
OLSUBSYSNOTINUSE            = OLIWBASE + 21;                 // Subsystem not in use
OLALREADYRUNNING            = OLIWBASE + 22;                 // Subsystem already running
OLNOCHANNELLIST             = OLIWBASE + 23;                 // No channel list
OLNOGAINLIST                = OLIWBASE + 24;                 // No gain list
OLNOFILTERLIST              = OLIWBASE + 25;                 // No filter list
OLNOTCONFIGURED             = OLIWBASE + 26;                 // Subsystem Not configured
OLDATAFLOWMISMATCH          = OLIWBASE + 27;                 // Data flow mismatch
OLNOTRUNNING                = OLIWBASE + 28;                 // Subsystem not running
OLBADRANGE                  = OLIWBASE + 29;                 // Invalid Range
OLBADSSCAP                  = OLIWBASE + 30;                 // Invalid Subsystem Capability
OLBADDEVCAP                 = OLIWBASE + 31;                 // Invalid Device Capability
OLBADRANGEINDEX             = OLIWBASE + 32;                 // Invalid Range Index
OLBADFILTERINDEX            = OLIWBASE + 33;                 // Invalid Filter Index
OLBADGAININDEX              = OLIWBASE + 34;                 // Invalid Gain Index
OLBADWRAPMODE               = OLIWBASE + 35;                 // Invalid Wrap Mode
OLNOTSUPPORTED              = OLIWBASE + 36;                 // Not Supported
OLBADDIVIDER                = OLIWBASE + 37;                 // Invalid Divider Value
OLBADGATE                   = OLIWBASE + 38;                 // Invalid Gate

OLBADDEVHANDLE              = OLIWBASE + 39;                 // Invalid Device Handle
OLBADSSHANDLE               = OLIWBASE + 40;                 // Invalid Subsystem Handle
OLCANNOTALLOCDASS           = OLIWBASE + 41;                 // Cannot allocate DASS
OLCANNOTDEALLOCDASS         = OLIWBASE + 42;                 // Cannot Deallocate DASS
OLBUFFERSLEFT               = OLIWBASE + 43;                 // Transfer list not empty

OLBOARDRUNNING              = OLIWBASE + 44;                 // Another Subsystem on board is already running
OLINVALIDCHANNELLIST        = OLIWBASE + 45;                 // Channel list has been filled incorrectly
OLINVALIDCLKTRIGCOMBO       = OLIWBASE + 46;                 // Selected clock & trigger source may not be used together
OLCANNOTALLOCLUSERDATA      = OLIWBASE + 47;                 // Driver could not allocate needed memory

OLCANTSVTRIGSCAN            = OLIWBASE + 48;                 // Triggered Scan not available in single value mode
OLCANTSVEXTCLOCK            = OLIWBASE + 49;                 // External Clock is not available in single value mode
OLBADRESOLUTIONINDEX        = OLIWBASE + 50;                 // Bad Resolution Selected

OLADTRIGERR                 = OLIWBASE + 60;                 // A/D Trigger Error
OLADOVRRN                   = OLIWBASE + 61;                 // A/D Overrun Error
OLDATRIGERR                 = OLIWBASE + 62;                 // D/A Trigger Error
OLDAUNDRRN                  = OLIWBASE + 63;                 // D/A Underrun Error

OLNOREADYBUFFERS            = OLIWBASE + 64;                 // No Ready Buffers

OLBADCPU                    = OLIWBASE + 65;                 // Library Requires i386 or i486
OLBADWINMODE                = OLIWBASE + 66;                 // Library Requires Windows 3.x Enhanced mode
OLCANNOTOPENDRIVER          = OLIWBASE + 67;                 // Driver cannot be initialized
OLBADENUMCAP                = OLIWBASE + 68;                 // Cannot enumerate this capability
OLBADDASSPROC               = OLIWBASE + 69;                 // Dass Proc CallBack NUL
OLBADENUMPROC               = OLIWBASE + 70;                 // Enum Proc CallBack NULL
OLNOWINDOWHANDLE            = OLIWBASE + 71;                 // No Window Handle
OLCANTCASCADE               = OLIWBASE + 72;                 // Subsystem cannot be cascaded

OLINVALIDCONFIGURATION      = OLIWBASE + 73;                 // Invalid configuration in SYSTEM.INI
OLCANNOTALLOCJUMPERS        = OLIWBASE + 74;                 // Cannot allocate memory for jumpers
OLCANNOTALLOCCHANNELLIST    = OLIWBASE + 75;                 // Cannot allocate channel list
OLCANNOTALLOCGAINLIST       = OLIWBASE + 76;                 // Cannot allocate gain list
OLCANNOTALLOCFILTERLIST     = OLIWBASE + 77;                 // Cannot allocate filter list
OLNOBOARDSINSTALLED         = OLIWBASE + 78;                 // No DT-Open Layers boards installed
OLINVALIDDMASCANCOMBO       = OLIWBASE + 79;                 // Invalid DMA / Scan combination
OLINVALIDPULSETYPE          = OLIWBASE + 80;                 // Invalid pulse type
OLINVALIDGAINLIST           = OLIWBASE + 81;                 // Invalid gain list
OLWRONGCOUNTERMODE          = OLIWBASE + 82;                 // Wrong counter mode
OLLPSTRNULL                 = OLIWBASE + 83;                 // LPSTR passed as a parameter was NULL
OLINVALIDPIODFCOMBO         = OLIWBASE + 84;                 // Invalid Polled I/O combination
OLINVALIDSCANTRIGCOMBO      = OLIWBASE + 85;                 // Invalid Scan / Trigger combo
OLBADGAIN                   = OLIWBASE + 86;                 // Invalid Gain
OLNOMEASURENOTIFY           = OLIWBASE + 87;                 // No window handle specified for frequency measurement
OLBADCOUNTDURATION          = OLIWBASE + 88;                 // Invalid count duration for frequency measurement
OLBADQUEUE                  = OLIWBASE + 89;                 // Invalid queue type specified
OLBADRETRIGGERRATE          = OLIWBASE + 90;                 // Invalid Retrigger Rate for channel list size
OLCOMMANDTIMEOUT            = OLIWBASE + 91;                 // No Command Response from Hardware
OLCOMMANDOVERRUN            = OLIWBASE + 92;                 // Hardware Command Sequence Error
OLDATAOVERRUN               = OLIWBASE + 93;                 // Hardware Data Sequence Error

OLCANNOTALLOCTIMERDATA      = OLIWBASE + 94;                 // Cannot allocate timer data for driver
OLBADHTIMER                 = OLIWBASE + 95;                 // Invalid Timer handle
OLBADTIMERMODE              = OLIWBASE + 96;                 // Invalid Timer mode
OLBADTIMERFREQUENCY         = OLIWBASE + 97;                 // Invalid Timer frequency
OLBADTIMERPROC              = OLIWBASE + 98;                 // Invalid Timer callback procedure
OLBADDMABUFFERSIZE          = OLIWBASE + 99;                 // Invalid Timer DMA buffer size

OLBADDIGITALIOLISTVALUE     = OLIWBASE + 100;                // Illegal synchronous digital I/O value requested.
OLCANNOTALLOCSSLIST         = OLIWBASE + 101;                // Cannot allocate simultaneous start list
OLBADSSLISTHANDLE           = OLIWBASE + 102;                // Illegal simultaneous start list handle specified.
OLBADSSHANDLEONLIST         = OLIWBASE + 103;                // Invalid subsystem handle on simultaneous start list.
OLNOSSHANDLEONLIST          = OLIWBASE + 104;                // No subsystem handles on simultaneous start list.
OLNOCHANNELINHIBITLIST      = OLIWBASE + 105;                // The subsystem has no channel inhibit list.
OLNODIGITALIOLIST           = OLIWBASE + 106;                // The subsystem has no digital I/O list.
OLNOTPRESTARTED             = OLIWBASE + 107;                // The subsystem has not been prestarted.
OLBADNOTIFYPROC             = OLIWBASE + 108;                // Invalid notification procedure
OLBADTRANSFERCOUNT          = OLIWBASE + 109;                // Invalid DT-Connect transfer count
OLBADTRANSFERSIZE           = OLIWBASE + 110;                // Invalid DT-Connect transfer size
OLCANNOTALLOCINHIBITLIST    = OLIWBASE + 111;                // Cannot allocate channel inhibit list
OLCANNOTALLOCDIGITALIOLIST  = OLIWBASE + 112;                // Cannot allocate digital I/O list
OLINVALIDINHIBITLIST        = OLIWBASE + 113;                // Channel inhibit list has been filled incorrectly
OLSSHANDLEALREADYONLIST     = OLIWBASE + 114;                // Dass handle is already on simultaneous start list
OLCANNOTALLOCRANGELIST      = OLIWBASE + 115;                // Cannot allocate range list
OLNORANGELIST               = OLIWBASE + 116;                // No range list
OLNOBUFFERINPROCESS         = OLIWBASE + 117;                // No buffers in process
OLREQUIREDSUBSYSINUSE       = OLIWBASE + 118;                // Additional required sub system in use
OLWRAPMODEMISMATCH          = OLIWBASE + 119;                // Wrap mode mismatch
OLVXDNOTINSTALLED           = OLIWBASE + 120;                // VDTDAD virtual device driver not loaded
OLBADRETRIGGERMODE          = OLIWBASE + 121;                // Invalid Retrigger Mode
OLBADCOUNT                  = OLIWBASE + 122;                // Invalid count.  Count exceeds maximum # of scans of the CGL.
OLBADRETRIGGER              = OLIWBASE + 123;                // Invalid Retrigger
OLBADPRETRIGGER             = OLIWBASE + 124;                // Invalid Pretrigger

OLGENERALFAILURE            = OLIWBASE + 125;                // General Failure
OLREQUESTPENDING            = OLIWBASE + 126;                // Defer Completion of Open Layers call
OLUNSUPPORTEDSYSTEM         = OLIWBASE + 127;                // Operating System not supported

OLBMBASE                    = 200;

OLCANNOTALLOCBCB            = OLBMBASE + 0;                  // Cannot allocate a buffer control block for the requested data buffer.
OLCANNOTALLOCBUFFER         = OLBMBASE + 1;                  // Cannot allocate the requested data buffer.
OLBADBUFFERHANDLE           = OLBMBASE + 2;                  // Invalid buffer handle (HBUF) passed to a library from an application.
OLBUFFERLOCKFAILED          = OLBMBASE + 3;                  // The data buffer cannot be put to a section because it cannot be properly locked.
OLBUFFERLOCKED              = OLBMBASE + 4;                  // Buffer Locked
OLBUFFERONLIST              = OLBMBASE + 5;                  // Buffer on List
OLCANNOTREALLOCBCB          = OLBMBASE + 6;                  // Reallocation of a buffer control block was unsuccessful.
OLCANNOTREALLOCBUFFER       = OLBMBASE + 7;                  // Reallocation of the data buffer was unsuccessful.
OLBADSAMPLESIZE             = OLBMBASE + 8;                  // Bad Sample Size
OLCANNOTALLOCLIST           = OLBMBASE + 9;                  // Cannot Allocate List
OLBADLISTHANDLE             = OLBMBASE + 10;                 // Bad List Handle
OLLISTNOTEMPTY              = OLBMBASE + 11;                 // List Not Empty
OLBUFFERNOTLOCKED           = OLBMBASE + 12;                 // Bufffer Not Locked
OLBADDMACHANNEL             = OLBMBASE + 13;                 // Invalid DMA Channel specified
OLDMACHANNELINUSE           = OLBMBASE + 14;                 // Specified DMA Channel in use
OLBADIRQ                    = OLBMBASE + 15;                 // Invalid IRQ specified
OLIRQINUSE                  = OLBMBASE + 16;                 // Specififed IRQ in use
OLNOSAMPLES                 = OLBMBASE + 17;                 // Buffer has no valid samples
OLTOOMANYSAMPLES            = OLBMBASE + 18;                 // Valid Samples cannot be larger than buffer
OLBUFFERTOOSMALL            = OLBMBASE + 19;                 // Specified buffer too small for requested copy operation


implementation


end.


