RequestExecutionLevel admin
Name "QuB Tree Editor"
OutFile "Install QuB Tree Editor.exe"
CRCCheck On
ComponentText "This will install QuB Tree Editor on your computer."
InstType /COMPONENTSONLYONCUSTOM
InstType "QuB Tree Editor"
DirText "Please select a location to install QuB Tree Editor, or use the default."

InstallDir "$PROGRAMFILES\QuB Tree Editor"
InstallDirRegKey HKEY_LOCAL_MACHINE SOFTWARE\QubtreeEditor "Install_Dir"

Section "QuB Tree Editor"
SectionIn 1
SetOutPath $INSTDIR
SetOverwrite try
SetCompress auto

File /r "dist"

CreateShortCut "$STARTMENU\Programs\QuB Tree Editor.lnk" "$INSTDIR\dist\qubtree-edit.exe" "" "" 0
CreateShortCut "$SENDTO\QuB Tree Editor.lnk" "$INSTDIR\dist\qubtree-edit.exe" "" "" 0

!ifndef NO_UNINST
WriteUninstaller "$INSTDIR\uninst-qubtree-edit.exe"
CreateShortCut "$STARTMENU\Programs\QuB Tree Editor\Uninstall.lnk" "$INSTDIR\dist\uninst-qubtree-edit.exe" "" "" 0
!endif

SectionEnd

!ifndef NO_UNINST
UninstallText "This will remove QuB Tree Editor from your computer."
Section Uninstall
RMDir /r "$INSTDIR"
Delete "$STARTMENU\Programs\QuB Tree Editor.lnk"
Delete "$SENDTO\QuB Tree Editor.lnk"
DeleteRegKey HKEY_CURRENT_USER "SOFTWARE\QubtreeEditor"
SectionEnd
!endif
