

Commands = {}                           # "category" -> dictionary{ "name" -> function }
CommandOrder = {}                       # "category" -> list<name>

def Register(cat, name, func):
    if not cat in Commands.keys():
        Commands[cat] = {}
    if not cat in CommandOrder.keys():
        CommandOrder[cat] = [name]
    elif not name in CommandOrder[cat]:
        CommandOrder[cat].append(name)
        
    Commands[cat][name] = func
    

def Names(cat):
    result = []
#    if cat == "all":
#        for catname in Commands.keys:
#            result.extend(Names(catname))
#    else:
    try:
      result = CommandOrder[cat]
    except:
        pass
    
    return result

def CallByName(pqz_cat, pqz_name, *optargs, **optkw):
    cmd = Commands[pqz_cat][pqz_name]
    apply( cmd, optargs, optkw )


def GetByName(pqz_cat, pqz_name):
    return Commands[pqz_cat][pqz_name]
