#ifndef ACQUIREFILE_H
#define ACQUIREFILE_H

//
// If ACQUIREFILE_EXPORTS is defined, the decorator ACQUIREFILE_API exports a symbol.
// Otherwise, ACQUIREFILE_API imports the symbol.
// This works across MS Visual Studio and gcc.
//

/*
begin_html
<b>Up:</b> <a href="index.html">Index</a>
end_html
*/

#if defined(_WIN32) || defined(_WIN64)
  #define ACQUIREFILE_DLLEXPORT __declspec(dllexport)
  #define ACQUIREFILE_DLLIMPORT __declspec(dllimport)
#else
  #define ACQUIREFILE_DLLEXPORT
  #define ACQUIREFILE_DLLIMPORT
#endif

#if !defined(ACQUIREFILE_EXPORTS)
  #define ACQUIREFILE_API ACQUIREFILE_DLLIMPORT
#else
  #define ACQUIREFILE_API ACQUIREFILE_DLLEXPORT
#endif

#endif
