/* Copyright 1998-2011 Research Foundation State University of New York */

/* This file is part of QuB.                                            */

/* QuB is free software; you can redistribute it and/or modify          */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, either version 3 of the License, or    */
/* (at your option) any later version.                                  */

/* QuB is distributed in the hope that it will be useful,               */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License,   */
/* named LICENSE.txt, in the QuB program directory.  If not, see        */
/* <http://www.gnu.org/licenses/>.                                      */

#ifndef CALLBK_REPORTFUN_H
#define CALLBK_REPORTFUN_H

// begin_html
// <p>
// Some maxill functions take a "report" callback, which is called
// to print a line of output, usually warnings.
// "data" is whatever pointer you provide with the callback.
// It is always acceptable to provide NULL as your callback.
// </p><p>
// <b>Up:</b> <a href="index.html">Index</a>
// </p>
// end_html

typedef int (__stdcall *callbk_reportfun)(const char *msg, void *data);

#endif
