#ifndef QTR_NODEFUNCPY_H
#define QTR_NODEFUNCPY_H

#include "qubtree_node.h"
#include <QTR_NodeFunc.h>

class QTR_PY_API QTR_NodePyFunc : public QTR_NodeFunc
{
public:
	QTR_NodePyFunc( PyObject *fn );
	virtual ~QTR_NodePyFunc();
	virtual QUB_Tree NodeCall( QUB_Tree arg );
private:
	PyObject *func;
};

class QTR_PY_API QTR_NodeNodePyFunc : public QTR_NodeNodeFunc
{
public:
	QTR_NodeNodePyFunc( PyObject *fn );
	virtual ~QTR_NodeNodePyFunc();
	virtual QUB_Tree NodeNodeCall( QUB_Tree arg1, QUB_Tree arg2 );
private:
	PyObject *func;
};

#endif
