unit QUB_ExpCond_Form;

{
/* Copyright 1998-2011 Research Foundation State University of New York */

/* This file is part of QuB.                                            */

/* QuB is free software; you can redistribute it and/or modify          */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, either version 3 of the License, or    */
/* (at your option) any later version.                                  */

/* QuB is distributed in the hope that it will be useful,               */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License,   */
/* named LICENSE.txt, in the QuB program directory.  If not, see        */
/* <http://www.gnu.org/licenses/>.                                      */
}

interface

uses

Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls,

QUB_Global,
QUB_ExpCond_Editor;


type TQUB_ExpCond_Form = class(TForm)

  btnOK: TButton;
    btnHelp: TButton;
    procedure btnHelpClick(Sender: TObject);

public

  grdExpCond       :TQUB_ExpCond_Editor;

  constructor Create(AOwner :TComponent); override;

end;


implementation


{$R *.DFM}


constructor TQUB_ExpCond_Form.Create(AOwner :TComponent);
begin
  inherited;

  grdExpCond         := TQUB_ExpCond_Editor.Create(Self);
  grdExpCond.SetBounds(20, 20, ClientWidth - 40, btnOK.Top - 40);
  grdExpCond.Anchors := [akLeft, akTop, akBottom, akRight];
  grdExpCond.Parent  := Self;
end;

procedure TQUB_ExpCond_Form.btnHelpClick(Sender: TObject);
begin
  ShowWiki('Edit_Global_Conditions', Handle);
end;

end.
