{
/* Copyright 1998-2011 Research Foundation State University of New York */

/* This file is part of QuB.                                            */

/* QuB is free software; you can redistribute it and/or modify          */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, either version 3 of the License, or    */
/* (at your option) any later version.                                  */

/* QuB is distributed in the hope that it will be useful,               */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License,   */
/* named LICENSE.txt, in the QuB program directory.  If not, see        */
/* <http://www.gnu.org/licenses/>.                                      */
}
// by Lorin:  something to do with the movies that IdlBase can save


unit QUB_Movies;


interface


uses


Graphics;


type


TQUB_MovieState = (MOVIE_JUSTDATA, MOVIE_FORWARD, MOVIE_BACKWARD);


TQUB_MovieRec   = record
  Make                     :Boolean;
  SaveBitmaps              :Boolean;
  ShowTitles               :Boolean;
  MaxFrameCount            :Integer;
  IDLPenWidth              :Integer;
  BaseXPenWidth            :Integer;
  BasePPenWidth            :Integer;
  ForBaseXColor            :TColor;
  ForBasePColor            :TColor;
  BacBaseXColor            :TColor;
  BacBasePColor            :TColor;
  ForIDLColor              :TColor;
  BacIDLColor              :TColor;
end;


implementation


//******************************************************************************
end.

