inherited QUB_Task_Kalman_PropertiesForm: TQUB_Task_Kalman_PropertiesForm
  Left = 270
  Top = 141
  Width = 628
  Height = 420
  BorderStyle = bsSizeable
  Caption = 'Background subtract (Kalman filter)'
  OldCreateOrder = True
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object panPreview: TPaintBox [0]
    Left = 12
    Top = 8
    Width = 597
    Height = 114
    Hint = 'Preview of idealized stimulus for the Data selection'
    Anchors = [akLeft, akTop, akRight, akBottom]
    ParentShowHint = False
    ShowHint = True
    OnPaint = panPreviewPaint
  end
  object lblStatus: TLabel [1]
    Left = 304
    Top = 358
    Width = 3
    Height = 13
    Anchors = [akLeft, akBottom]
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clMaroon
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
  end
  object Label10: TLabel [2]
    Left = 10
    Top = 128
    Width = 77
    Height = 13
    Anchors = [akLeft, akBottom]
    Caption = 'Output filename:'
  end
  inherited btnOK: TButton
    Left = 10
    Top = 351
    Anchors = [akLeft, akBottom]
    Caption = '&Run'
  end
  inherited btnCancel: TButton
    Left = 108
    Top = 351
    Anchors = [akLeft, akBottom]
    Caption = '&Close'
  end
  inherited btnHelp: TButton
    Left = 207
    Top = 351
    Anchors = [akLeft, akBottom]
  end
  inherited panXChannelIndex: TPanel
    Left = 209
    TabOrder = 6
    Visible = False
    inherited lblXChannelIndex: TLabel
      Width = 81
      Caption = 'Data channel:'
      Font.Style = [fsBold]
      ParentFont = False
    end
  end
  inherited panThreads: TPanel
    Left = 528
    Top = 486
    TabOrder = 5
  end
  object panDataSource: TPanel
    Left = 9
    Top = 152
    Width = 335
    Height = 89
    Anchors = [akLeft, akRight, akBottom]
    BevelOuter = bvLowered
    TabOrder = 3
    object Label3: TLabel
      Left = 4
      Top = 6
      Width = 61
      Height = 13
      Caption = 'Data source:'
    end
    object panDataSourceFile: TPanel
      Left = 11
      Top = 26
      Width = 91
      Height = 67
      BevelOuter = bvNone
      TabOrder = 0
      object chkDataSourceWholeFile: TRadioButton
        Left = 1
        Top = 0
        Width = 85
        Height = 17
        BiDiMode = bdLeftToRight
        Caption = 'Whole file'
        ParentBiDiMode = False
        TabOrder = 0
        OnClick = chkDataSourceClick
      end
      object chkDataSourceSelectionList: TRadioButton
        Tag = 1
        Left = 1
        Top = 22
        Width = 85
        Height = 17
        Caption = 'Selection list'
        TabOrder = 1
        OnClick = chkDataSourceClick
      end
      object chkDataSourceSelection: TRadioButton
        Tag = 2
        Left = 1
        Top = 44
        Width = 85
        Height = 17
        Caption = 'Selection'
        TabOrder = 2
        OnClick = chkDataSourceClick
      end
    end
  end
  object panBaseline: TPanel
    Left = 8
    Top = 248
    Width = 335
    Height = 97
    Anchors = [akLeft, akRight, akBottom]
    BevelOuter = bvLowered
    TabOrder = 4
    object Label1: TLabel
      Left = 25
      Top = 51
      Width = 44
      Height = 13
      Caption = 'std. dev.:'
    end
    object Label8: TLabel
      Left = 8
      Top = 4
      Width = 75
      Height = 13
      Caption = 'Baseline drift'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clRed
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object txtBaselineStd: TEdit
      Left = 116
      Top = 48
      Width = 97
      Height = 21
      TabOrder = 0
      OnExit = prOnExitWrap
    end
    object chkBaseline: TCheckBox
      Left = 27
      Top = 26
      Width = 169
      Height = 17
      Caption = 'Remove'
      TabOrder = 1
      OnClick = prOnCheckClickWrap
    end
  end
  object panStimChannel: TPanel
    Left = 12
    Top = 10
    Width = 169
    Height = 25
    BevelOuter = bvNone
    TabOrder = 7
    Visible = False
    object Label7: TLabel
      Left = 0
      Top = 5
      Width = 95
      Height = 13
      Hint = 
        'Choose an A/D channel with a stimulus (signal that affects the m' +
        'odel)'
      Caption = 'Kalman channel:'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clBlue
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
      ParentShowHint = False
      ShowHint = True
    end
    object txtStimChannel: TEdit
      Left = 120
      Top = 2
      Width = 31
      Height = 21
      Hint = 
        'Choose an A/D channel with a stimulus (signal that affects the m' +
        'odel)'
      ParentShowHint = False
      ReadOnly = True
      ShowHint = True
      TabOrder = 0
      Text = '0'
    end
    object udStimChannel: TUpDown
      Left = 151
      Top = 2
      Width = 16
      Height = 21
      Hint = 
        'Choose an A/D channel with a stimulus (signal that affects the m' +
        'odel)'
      Associate = txtStimChannel
      Min = 0
      Max = 15
      ParentShowHint = False
      Position = 0
      ShowHint = True
      TabOrder = 1
      Wrap = False
    end
  end
  object Panel2: TPanel
    Left = 347
    Top = 248
    Width = 260
    Height = 97
    Anchors = [akRight, akBottom]
    BevelOuter = bvLowered
    TabOrder = 8
    object Label9: TLabel
      Left = 32
      Top = 74
      Width = 44
      Height = 13
      Caption = 'std. dev.:'
    end
    object Label14: TLabel
      Left = 32
      Top = 50
      Width = 75
      Height = 13
      Caption = 'Frequency [Hz]:'
    end
    object Label4: TLabel
      Left = 8
      Top = 4
      Width = 105
      Height = 13
      Caption = 'Periodic waveform'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clRed
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object chkPeriodic: TCheckBox
      Left = 30
      Top = 25
      Width = 193
      Height = 17
      Hint = 
        'Converts a sequence of pressure pulses into approximate membrane' +
        ' tension'
      Caption = 'Remove'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
      OnClick = prOnCheckClickWrap
    end
    object txtPeriodicStd: TEdit
      Left = 137
      Top = 70
      Width = 56
      Height = 21
      Anchors = [akTop, akRight]
      TabOrder = 1
      OnExit = prOnExitWrap
    end
    object txtPeriodicFreq: TEdit
      Left = 137
      Top = 45
      Width = 56
      Height = 21
      Anchors = [akTop, akRight]
      TabOrder = 2
      OnExit = prOnExitWrap
    end
    object chkPeriodicFit: TCheckBox
      Left = 200
      Top = 48
      Width = 97
      Height = 17
      Caption = 're-fit'
      TabOrder = 3
      OnClick = prOnCheckClickWrap
    end
  end
  object Panel3: TPanel
    Left = 347
    Top = 152
    Width = 260
    Height = 89
    Anchors = [akRight, akBottom]
    BevelOuter = bvLowered
    TabOrder = 9
    object Label5: TLabel
      Left = 27
      Top = 63
      Width = 96
      Height = 13
      Caption = 'Jump threshold [pA]:'
    end
    object Label6: TLabel
      Left = 26
      Top = 40
      Width = 111
      Height = 13
      Caption = 'Measurement std. dev.:'
    end
    object txtJump: TEdit
      Left = 151
      Top = 60
      Width = 49
      Height = 21
      TabOrder = 0
      Text = 'txtJump'
      OnExit = prOnExitWrap
    end
    object txtMeasStd: TEdit
      Left = 152
      Top = 37
      Width = 49
      Height = 21
      TabOrder = 1
      Text = 'txtMeasStd'
      OnExit = prOnExitWrap
    end
  end
  object txtOutName: TEdit
    Left = 96
    Top = 125
    Width = 489
    Height = 21
    Anchors = [akLeft, akRight, akBottom]
    TabOrder = 10
    Text = 'txtOutName'
    OnExit = txtOutNameExit
    OnKeyPress = txtOutNameKeyPress
  end
  object btnPickOutName: TButton
    Left = 585
    Top = 125
    Width = 22
    Height = 21
    Anchors = [akRight, akBottom]
    Caption = '...'
    TabOrder = 11
    OnClick = btnPickOutNameClick
  end
end
