unit OlMem;

{

                       Data Translation Mem


         C header file translated by Lorin Milescu, 05-28-2001


}


interface


uses


Windows,

OLTypes;


const


olmem32        = 'olmem32.dll';


(*

typedef struct tagTDS
   {
   WORD  wYear;
   WORD  wMonth;
   WORD  wDay;
   WORD  wHour;
   WORD  wMin;
   WORD  wSec;
   }
TDS;

typedef TDS FAR* LPTDS;


/*********************** BCB's **********************/

*)


type


HBUF         = THandle;
PHBUF        = ^HBUF;
LPHBUF       = PHBUF;


{

#ifndef _OLACI_        // if oldaaci module is included - do NOT
                       // redefine these routines!!!  The names
                       // are the same as V0.9

function olDmAllocBuffer (UINT, DWORD, LPHBUF) :ECODE; stdcall; external olmem32;
}

function olDmFreeBuffer(hBuf :HBUF) :ECODE; stdcall; external olmem32;

{
function olDmReAllocBuffer (UINT, DWORD, LPHBUF) :ECODE; stdcall; external olmem32;
function olDmGetTimeDateStamp (HBUF, LPTDS) :ECODE; stdcall; external olmem32;
}

function olDmGetBufferPtr (hBuf :HBUF; var Buffer :Pointer) :ECODE; stdcall; external olmem32;

{
function olDmGetBufferECode (HBUF, LPECODE) :ECODE; stdcall; external olmem32;
function olDmGetBufferSize (HBUF, DWORD FAR*) :ECODE; stdcall; external olmem32;
function olDmGetVersion (LPSTR) :ECODE; stdcall; external olmem32;
function olDmCopyBuffer (HBUF, LPVOID) :ECODE; stdcall; external olmem32;
function olDmCopyToBuffer (HBUF hBuf, LPVOID lpAppBuffer, ULNG ulNumSamples) :ECODE; stdcall; external olmem32;

#endif
}


function olDmCallocBuffer(uiWinFlags, uiExFlags :UINT; dwSamples :DWORD; uiSampleSize :UINT; var hBuf :HBUF) :ECODE; stdcall; external olmem32;

{

function olDmMallocBuffer (UINT, UINT, DWORD, LPHBUF) :ECODE; stdcall; external olmem32;
function olDmLockBuffer (HBUF) :ECODE; stdcall; external olmem32;
function olDmUnlockBuffer (HBUF) :ECODE; stdcall; external olmem32;
function olDmReCallocBuffer (UINT, UINT, DWORD, UINT, LPHBUF) :ECODE; stdcall; external olmem32;
function olDmReMallocBuffer (UINT, UINT, DWORD, LPHBUF) :ECODE; stdcall; external olmem32;
function olDmGetDataBits (HBUF, UINT FAR*) :ECODE; stdcall; external olmem32;
function olDmSetDataWidth (HBUF, UINT) :ECODE; stdcall; external olmem32;
function olDmGetDataWidth (HBUF, UINT FAR*) :ECODE; stdcall; external olmem32;
function olDmGetMaxSamples (HBUF, DWORD FAR*) :ECODE; stdcall; external olmem32;
function olDmSetValidSamples (HBUF, DWORD) :ECODE; stdcall; external olmem32;
}

function olDmGetValidSamples(hBuf :HBUF; var Samples :DWORD) :ECODE; stdcall; external olmem32;

{
function olDmCopyFromBuffer(HBUF hBuf, LPVOID lpAppBuffer, ULNG ulMaxSamples) :ECODE; stdcall; external olmem32;

function olDmGetExtraBytes (HBUF hBuf, ULNG FAR *lpulExtra1,ULNG FAR *lpulExtra2) :ECODE; stdcall; external olmem32;
function olDmSetExtraBytes (HBUF hBuf, ULNG ulExtra1, ULNG ulExtra2) :ECODE; stdcall; external olmem32;

function olDmLockBufferEx (HBUF hBuf, BOOL fEnableScatter) :ECODE; stdcall; external olmem32;
function olDmUnlockBufferEx (HBUF hBuf, BOOL fEnableScatter) :ECODE; stdcall; external olmem32;

function drvDmSetCurrentTDS (HBUF hBuf) :ECODE; stdcall; external olmem32;
function drvDmSetDataBits (HBUF hBuf, UINT Bits) :ECODE; stdcall; external olmem32;

/*********************** BTL's **********************/


DECLARE_HANDLE(HLIST) :ECODE; stdcall; external olmem32;

typedef HLIST FAR* LPHLIST;
typedef HLIST* PHLIST;

typedef BOOL (CALLBACK* BUFPROC)(HBUF, LPARAM) :ECODE; stdcall; external olmem32;
typedef BOOL (CALLBACK* LISTPROC)(HLIST, LPARAM) :ECODE; stdcall; external olmem32;

#ifndef WIN32
typedef BOOL (__far __pascal * INTPROC)(LPARAM) :ECODE; stdcall; external olmem32;    // must be FIXED
#endif

function drvDmPutBufferToListForDriver (HLIST, HBUF) :ECODE; stdcall; external olmem32;
function drvDmGetBufferFromListForDriver (HLIST, LPHBUF) :ECODE; stdcall; external olmem32;
VOID  WINAPI drvDmLockBufferList( HLIST hList ) :ECODE; stdcall; external olmem32;
VOID  WINAPI drvDmUnLockBufferList( HLIST hList ) :ECODE; stdcall; external olmem32;

function olDmCreateList (LPHLIST, UINT, LPCSTR, LPCSTR) :ECODE; stdcall; external olmem32;
function olDmEnumLists (LISTPROC, LPARAM) :ECODE; stdcall; external olmem32;
function olDmEnumBuffers (HLIST, BUFPROC, LPARAM) :ECODE; stdcall; external olmem32;
function olDmFreeList (HLIST) :ECODE; stdcall; external olmem32;
function olDmPutBufferToList (HLIST, HBUF) :ECODE; stdcall; external olmem32;
function olDmGetBufferFromList (HLIST, LPHBUF) :ECODE; stdcall; external olmem32;
function olDmPeekBufferFromList (HLIST, LPHBUF) :ECODE; stdcall; external olmem32;
function olDmGetListCount (HLIST, UINT FAR*) :ECODE; stdcall; external olmem32;
function olDmGetListHandle (HBUF, LPHLIST) :ECODE; stdcall; external olmem32;
function olDmGetListIds (HLIST, LPSTR, UINT, LPSTR, UINT) :ECODE; stdcall; external olmem32;

function olDmLockBufferEx (HBUF hBuf, BOOL fEnableScatter) :ECODE; stdcall; external olmem32;
function olDmUnLockBufferEx (HBUF hBuf, BOOL fEnableScatter) :ECODE; stdcall; external olmem32;

LPSTR WINAPI olDmGetErrorString (ECODE eCode, LPSTR lpStr, UINT uiMaxSize) :ECODE; stdcall; external olmem32;
}


implementation


end.








