Name "QuB Tree Editor"
OutFile "Install QuB Tree Editor.exe"
CRCCheck on
ComponentText "This will install the QuB Tree Editor on your computer."
InstType "QuB Tree Editor"
DirText "Please select a location to install (or use the default)."

InstallDir "$PROGRAMFILES\QuB"
InstallDirRegKey HKEY_LOCAL_MACHINE SOFTWARE\QUB "Install_Dir"

Section "QuB Tree Editor"
SectionIn 1
SetOutPath $INSTDIR
SetOverwrite try
SetCompress auto

SetOutPath "$STARTMENU\Programs\QuB"
File "About QuB.txt"

SetOutPath "$INSTDIR\QuB Tree Editor"

File library.zip
File MSVCR71.dll
File "QuB Tree Editor.exe"
File w9xpopen.exe

CreateShortCut "$STARTMENU\Programs\QuB\QuB Tree Editor.lnk" "$INSTDIR\QuB Tree Editor\QuB Tree Editor.exe" "" "" 0
CreateShortCut "$SENDTO\QuB Tree Editor.lnk" "$INSTDIR\QuB Tree Editor\QuB Tree Editor.exe" "" "" 0

SectionEnd

