RequestExecutionLevel admin
Name "QuB CUDA Extensions"
OutFile QuB-CUDA-Install-1-0-1.exe
CRCCheck on
ComponentText "This will install NVIDIA GPU extensions for your existing QuB."
InstType /COMPONENTSONLYONCUSTOM
DirText "Please select the location of QuB."

InstallDir "$PROGRAMFILES\QuB"
InstallDirRegKey HKEY_LOCAL_MACHINE SOFTWARE\QUB "Install_Dir"

Section "QuB CUDA"
SectionIn 1
SetShellVarContext all
SetOutPath $INSTDIR
SetOverwrite try
SetCompress auto

File qubcuda.dll
File cutil32.dll
File cudart.dll

!ifndef NO_UNINST
WriteUninstaller "$INSTDIR\uninst-qub-cuda.exe"
CreateShortCut "$STARTMENU\Programs\QuB\Uninstall QuB CUDA Extensions.lnk" "$INSTDIR\uninst-qub-cuda.exe" "" "" 0
!endif

SectionEnd


!ifndef NO_UNINST
UninstallText "This will remove the CUDA Extensions from QuB:"

Section Uninstall
SetShellVarContext all

Delete $INSTDIR\qubcuda.dll
Delete $INSTDIR\cutil32.dll
Delete $INSTDIR\cudart.dll
Delete "$STARTMENU\Programs\QuB\Uninstall QuB CUDA Extensions.lnk"

SectionEnd

!endif

